package idi.alexanbj.em;

import com.aliasi.lingmed.medline.parser.MedlineCitation;
import com.aliasi.lingmed.medline.parser.MedlineHandler;


public class MyMedlineHandler implements MedlineHandler {
	
	private MedlineIndexer mIndexWriter;
	
	public MyMedlineHandler(MedlineIndexer indexWriter){
		mIndexWriter = indexWriter;
	}

	@Override
	public void delete(String pmid) {
		throw new UnsupportedOperationException("not expecting deletes. got pmid= " + pmid);
	}

	@Override
	public void handle(MedlineCitation citation) {
		mIndexWriter.addDocument(citation);
	}
}
